Get Ids Signature Events History

Get Ids Signature Events History
Get event timeline for a specific IDS signature

Returns a chronological timeline of intrusion detection events matching the specified IDS signature within the given time window. Each event entry includes timestamp and affected compute information. The response also includes the signature metadata (name, severity, category).

Notes:

  • start_time is required. Either site_id or site_ids must also be provided.
  • signature-id is the IDS signature ID. Obtain valid IDs from POST /visualization/threat-analysis/{compute-id}/related-signatures.
  • A maximum of 5000 results are returned.
  • filters accepts up to 300 filter entries.
  • To see all VMs affected by this signature, use POST /visualization/threat-analysis/workloads-affected.
Request
URI
POST
https://{api_host}/intelligence/visualization/threat-analysis/{signature-id}/events-history
COPY
Path Parameters
string
signature-id
Required  

ID of the target IDS signature.


Request Body

Wrapper request for IdsIdEventsHistory with restricted filter keys

VizIdsIdEventsHistoryRequest of type(s) application/json
Required  
This request body class requires all of the following: VizTimeIntervalListSiteRequest , InlineVizIdsIdEventsHistoryRequest1
{
    "start_time": 1779490915251,
    "page_size": 50,
    "offset": 0,
    "site_id": "17f7c7e5-7f8c-490a-97e9-b9c9193c45e1"
}
Authentication
This operation uses the following authentication methods.
Responses
200

success

Returns IdsEventsHistoryListResult of type(s) application/json
This response body class contains all of the following: VizTimeIntervalListResult , InlineIdsEventsHistoryListResult1
{
    "offset": 0,
    "number_of_results": 5000,
    "time_interval": {
        "start_time": 1779490915251,
        "end_time": 1782170585770
    },
    "signature_info": {
        "severity": "MEDIUM",
        "details": "NSX - (Initial Access) Detect CVE-2014-3704 scan attempts",
        "signature_id": "1100199"
    },
    "resultset_max": 5000,
    "total_resultset_size": 68032,
    "event_history_list": [
        {
            "timestamp": 1782170438000,
            "where_detected": "xvm_4",
            "src_ip": "40.1.4.28",
            "dest_ip": "40.1.5.100",
            "src_port": 39423,
            "dest_port": 80,
            "protocol": "TCP",
            "rule_name": "New Rule",
            "profile_name": "idps-profile",
            "action": "ALERT",
            "attempts": 1,
            "pcap_uuid": "UNKNOWN",
            "pcap_exist": false
        },
        {
            "timestamp": 1782170438000,
            "where_detected": "srv_new_vmx1",
            "src_ip": "40.1.4.28",
            "dest_ip": "40.1.5.100",
            "src_port": 39423,
            "dest_port": 80,
            "protocol": "TCP",
            "rule_name": "New Rule",
            "profile_name": "idps-profile",
            "action": "ALERT",
            "attempts": 1,
            "pcap_uuid": "UNKNOWN",
            "pcap_exist": false
        },
        {
            "timestamp": 1782170438000,
            "where_detected": "xvm_1",
            "src_ip": "40.1.1.27",
            "dest_ip": "40.1.5.211",
            "src_port": 44031,
            "dest_port": 80,
            "protocol": "TCP",
            "rule_name": "New Rule",
            "profile_name": "idps-profile",
            "action": "ALERT",
            "attempts": 1,
            "pcap_uuid": "UNKNOWN",
            "pcap_exist": false
        },
        {
            "timestamp": 1782170438000,
            "where_detected": "srv_new_vmx1",
            "src_ip": "40.1.1.27",
            "dest_ip": "40.1.5.211",
            "src_port": 44031,
            "dest_port": 80,
            "protocol": "TCP",
            "rule_name": "New Rule",
            "profile_name": "idps-profile",
            "action": "ALERT",
            "attempts": 1,
            "pcap_uuid": "UNKNOWN",
            "pcap_exist": false
        },
        {
            "timestamp": 1782170414000,
            "where_detected": "xvm_1",
            "src_ip": "40.1.1.27",
            "dest_ip": "40.1.5.211",
            "src_port": 36859,
            "dest_port": 80,
            "protocol": "TCP",
            "rule_name": "New Rule",
            "profile_name": "idps-profile",
            "action": "ALERT",
            "attempts": 1,
            "pcap_uuid": "UNKNOWN",
            "pcap_exist": false
        },
        {
            "timestamp": 1782170414000,
            "where_detected": "srv_new_vmx1",
            "src_ip": "40.1.1.27",
            "dest_ip": "40.1.5.211",
            "src_port": 36859,
            "dest_port": 80,
            "protocol": "TCP",
            "rule_name": "New Rule",
            "profile_name": "idps-profile",
            "action": "ALERT",
            "attempts": 1,
            "pcap_uuid": "UNKNOWN",
            "pcap_exist": false
        },
        {
            "timestamp": 1782170413000,
            "where_detected": "xvm_4",
            "src_ip": "40.1.4.28",
            "dest_ip": "40.1.5.100",
            "src_port": 44419,
            "dest_port": 80,
            "protocol": "TCP",
            "rule_name": "New Rule",
            "profile_name": "idps-profile",
            "action": "ALERT",
            "attempts": 1,
            "pcap_uuid": "UNKNOWN",
            "pcap_exist": false
        },
        {
            "timestamp": 1782170413000,
            "where_detected": "srv_new_vmx1",
            "src_ip": "40.1.4.28",
            "dest_ip": "40.1.5.100",
            "src_port": 44419,
            "dest_port": 80,
            "protocol": "TCP",
            "rule_name": "New Rule",
            "profile_name": "idps-profile",
            "action": "ALERT",
            "attempts": 1,
            "pcap_uuid": "UNKNOWN",
            "pcap_exist": false
        },
        {
            "timestamp": 1782170302000,
            "where_detected": "xvm_3",
            "src_ip": "40.1.3.27",
            "dest_ip": "40.1.5.209",
            "src_port": 40675,
            "dest_port": 80,
            "protocol": "TCP",
            "rule_name": "New Rule",
            "profile_name": "idps-profile",
            "action": "ALERT",
            "attempts": 1,
            "pcap_uuid": "UNKNOWN",
            "pcap_exist": false
        },
        {
            "timestamp": 1782170301000,
            "where_detected": "srv_new_vmx1",
            "src_ip": "40.1.3.27",
            "dest_ip": "40.1.5.209",
            "src_port": 40675,
            "dest_port": 80,
            "protocol": "TCP",
            "rule_name": "New Rule",
            "profile_name": "idps-profile",
            "action": "ALERT",
            "attempts": 1,
            "pcap_uuid": "UNKNOWN",
            "pcap_exist": false
        }
    ]
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/intelligence/visualization/threat-analysis/{signature-id}/events-history